version: '3'

services:

  grafana:
    image: grafana/grafana
    container_name: grafana
    restart: always
    user: root
    ports:
      - "3100:3000"
    environment:
      - HTTP_USER=admin
      - HTTP_PASS=admin
      - INFLUXDB_HOST=influxdb
      - INFLUXDB_PORT=8186
      - INFLUXDB_NAME=telegraf
      - INFLUXDB_USER=root
      - INFLUXDB_PASS=root
    volumes:
      - "./grafana:/var/lib/grafana"


